/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.apilib.common.command.grpc;

import de.ozgcloud.vorgang.common.GrpcObject;
import de.ozgcloud.vorgang.common.GrpcProperty;
import de.ozgcloud.vorgang.grpc.command.GrpcCommand;

public class GrpcCommandTestFactory {

	public static final GrpcObject BODY_OBJECT = GrpcObject.newBuilder()
		.addProperty(GrpcProperty.newBuilder()
			.setName(OzgCloudCommandTestFactory.BODY_FIELD_NAME).addValue(OzgCloudCommandTestFactory.BODY_FIELD_VALUE))
		.build();

	public static GrpcCommand create() {
		return createBuilder().build();
	}

	public static GrpcCommand.Builder createBuilder() {
		return GrpcCommand.newBuilder()
			.setId(OzgCloudCommandTestFactory.ID.toString())
			.setVorgangId(OzgCloudCommandTestFactory.VORGANG_ID.toString())
			.setCreatedAt(OzgCloudCommandTestFactory.CREATED_AT_STR)
			.setFinishedAt(OzgCloudCommandTestFactory.FINISHED_AT_STR)
			.setCreatedBy(OzgCloudCommandTestFactory.CREATED_BY.toString())
			.setCreatedByName(OzgCloudCommandTestFactory.CREATED_BY_NAME)
			.setStatus(OzgCloudCommandTestFactory.STATUS.toString())
			.setErrorMessage(OzgCloudCommandTestFactory.ERROR_MESSAGE)
			.setRelationId(OzgCloudCommandTestFactory.RELATION_ID.toString())
			.setBodyObj(BODY_OBJECT)
			.setOrderString(OzgCloudCommandTestFactory.ORDER)
			.setCreatedResource(OzgCloudCommandTestFactory.CREATED_RESOURCE);
	}
}
